ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceOperatorService

-     public interface VoiceOperatorService

  Веб-сервис для работы с операторами модуля Voice. Базовые операции: создание, редактирование, удаление, получение списка операторов, получение одного оператора.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `voiceOperatorDelete(int id)` Удаление выбранного оператора по его коду.
    `VoiceOperator` | `voiceOperatorGet(int id)` Получение одного оператора по его коду.
    `java.util.List<VoiceOperator>` | `voiceOperatorList()` Получение списка операторов отсортированных по коду.
    `int` | `voiceOperatorUpdate(VoiceOperator operator)` Добавление нового или редактирование существующего оператора.

- - ### Method Detail

    - #### voiceOperatorList

          java.util.List<VoiceOperator> voiceOperatorList()
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка операторов отсортированных по коду.
      Returns:
        список операторов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceOperatorGet

          VoiceOperator voiceOperatorGet(int id)
                                  throws ru.bitel.bgbilling.common.BGException

      Получение одного оператора по его коду.
      Parameters:
        `id` - код оператора.
      Returns:
        один конкретный оператор.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceOperatorUpdate

          int voiceOperatorUpdate(VoiceOperator operator)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Добавление нового или редактирование существующего оператора.
      Parameters:
        `operator` - экземпляр оператора.
      Returns:
        TODO
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### voiceOperatorDelete

          int voiceOperatorDelete(int id)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Удаление выбранного оператора по его коду.
      Parameters:
        `id` - код оператора
      Returns:
        TODO
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`